Portupgrade problem

Проблемы с установкой, настройкой и работой системных и сетевых программ.

Модераторы: GRooVE, alexco

Правила форума
Убедительная просьба юзать теги [code] при оформлении листингов.
Сообщения не оформленные должным образом имеют все шансы быть незамеченными.
Аватара пользователя
Volodymyr
лейтенант
Сообщения: 614
Зарегистрирован: 2008-06-17 16:04:56
Откуда: Ukraine, Lviv
Контактная информация:

Portupgrade problem

Непрочитанное сообщение Volodymyr » 2008-09-04 19:08:53

FreeBSD 7.0 Stable

Как переставить порт? Собственно проблема возникла при перестановке Апача.

Код: Выделить всё

# make install
===>  Installing for apr-gdbm-db42-1.3.3.1.3.4
===>   apr-gdbm-db42-1.3.3.1.3.4 depends on shared library: expat.6 - found
===>   apr-gdbm-db42-1.3.3.1.3.4 depends on shared library: gdbm.3 - found
===>   apr-gdbm-db42-1.3.3.1.3.4 depends on shared library: iconv.3 - found
===>   apr-gdbm-db42-1.3.3.1.3.4 depends on shared library: db-4.2.2 - found
===>   Generating temporary packing list
===>  Checking if devel/apr-svn already installed
===>   An older version of devel/apr-svn is already installed (apr-db42-1.2.12)
      You may wish to ``make deinstall'' and install this port again
      by ``make reinstall'' to upgrade it properly.
      If you really wish to overwrite the old port of devel/apr-svn
      without deleting it first, set the variable "FORCE_PKG_REGISTER"
      in your environment or the "make install" command line.
*** Error code 1

Stop in /usr/ports/devel/apr-svn.

Код: Выделить всё

# pkg_delete apr-db42-1.2.12/
pkg_delete: package 'apr-db42-1.2.12' is required by these other packages
and may not be deinstalled:
kde-3.5.8_2
kdesdk-3.5.8_1
kdevelop-3.5.0_1
kdewebdev-3.5.8_1,2
subversion-1.4.6_2

Код: Выделить всё

# make install
===>  Installing for apache-2.2.9_3

===>  apache-2.2.9_3 conflicts with installed package(s):
      apr-db42-1.2.12

      They install files into the same place.
      Please remove them first with pkg_delete(1).
*** Error code 1

Stop in /usr/ports/www/apache22.
*** Error code 1

Stop in /usr/ports/www/apache22.
Последний раз редактировалось Volodymyr 2008-09-06 11:57:13, всего редактировалось 1 раз.

Хостинговая компания Host-Food.ru
Хостинг HostFood.ru
 

Услуги хостинговой компании Host-Food.ru

Хостинг HostFood.ru

Тарифы на хостинг в России, от 12 рублей: https://www.host-food.ru/tariffs/hosting/
Тарифы на виртуальные сервера (VPS/VDS/KVM) в РФ, от 189 руб.: https://www.host-food.ru/tariffs/virtualny-server-vps/
Выделенные сервера, Россия, Москва, от 2000 рублей (HP Proliant G5, Intel Xeon E5430 (2.66GHz, Quad-Core, 12Mb), 8Gb RAM, 2x300Gb SAS HDD, P400i, 512Mb, BBU):
https://www.host-food.ru/tariffs/vydelennyi-server-ds/
Недорогие домены в популярных зонах: https://www.host-food.ru/domains/

Аватара пользователя
zingel
beastie
Сообщения: 6204
Зарегистрирован: 2007-10-30 3:56:49
Откуда: Moscow
Контактная информация:

Re: Stop in /usr/ports/devel/apr-svn

Непрочитанное сообщение zingel » 2008-09-04 21:36:26

обновить всё, что already installed
Z301171463546 - можно пожертвовать мне денег

Аватара пользователя
Volodymyr
лейтенант
Сообщения: 614
Зарегистрирован: 2008-06-17 16:04:56
Откуда: Ukraine, Lviv
Контактная информация:

Re: Stop in /usr/ports/devel/apr-svn

Непрочитанное сообщение Volodymyr » 2008-09-05 11:00:35

zingel писал(а):обновить всё, что already installed
Спасибо. Помогло.

Аватара пользователя
Volodymyr
лейтенант
Сообщения: 614
Зарегистрирован: 2008-06-17 16:04:56
Откуда: Ukraine, Lviv
Контактная информация:

Re: Stop in /usr/ports/devel/apr-svn

Непрочитанное сообщение Volodymyr » 2008-09-06 11:55:33

Код: Выделить всё

# portupgrade kdesdk
Stale dependency: kdesdk-3.5.8_1 --> subversion-1.5.1 -- manually run 'pkgdb -F' to fix, or specify -O to force.

Код: Выделить всё

# pkgdb -F
--->  Checking the package registry database
Stale dependency: kde-3.5.10 -> subversion-1.5.1 (devel/subversion):
Install stale dependency? ([y]es/[n]o/[a]ll) [yes] y
[Gathering depends for devel/subversion ........................... done]
--->  Installing 'neon28-0.28.2_1' from a port (www/neon28)
--->  Building '/usr/ports/www/neon28'
===>  Cleaning for neon28-0.28.2_1
===>  Extracting for neon28-0.28.2_1
=> MD5 Checksum OK for neon-0.28.2.tar.gz.
=> SHA256 Checksum OK for neon-0.28.2.tar.gz.
===>  Patching for neon28-0.28.2_1
===>  Applying FreeBSD patches for neon28-0.28.2_1
===>   neon28-0.28.2_1 depends on file: /usr/local/bin/libtool - found
===>   neon28-0.28.2_1 depends on shared library: expat.6 - found
===>   neon28-0.28.2_1 depends on shared library: intl - found
===>  Configuring for neon28-0.28.2_1

[SKIPED]

--->  Installing the new version via the port
===>  Installing for neon28-0.28.2_1

===>  neon28-0.28.2_1 conflicts with installed package(s):
      neon26-0.26.4_1

      They install files into the same place.
      Please remove them first with pkg_delete(1).
*** Error code 1

Stop in /usr/ports/www/neon28.
*** Error code 1

Stop in /usr/ports/www/neon28.
** Command failed [exit code 1]: /usr/bin/script -qa /tmp/portinstall.82941.0 env make reinstall
** Fix the installation problem and try again.
--->  Skipping 'devel/subversion' because a requisite port 'www/neon28' failed (specify -k to force)
** Listing the failed packages (-:ignored / *:skipped / !:failed)
        ! www/neon28    (install error)
        * devel/subversion
Command failed [exit code 1]: /usr/local/sbin/portinstall devel/subversion

Код: Выделить всё

# pkg_delete neon26-0.26.4_1
pkg_delete: package 'neon26-0.26.4_1' is required by these other packages
and may not be deinstalled:
kde-3.5.10
kdesdk-3.5.8_1
kdevelop-3.5.0_1
kdewebdev-3.5.8_1,2
Как развязать такой замкнутый круг?

Из не обновленных портов осталось только:

Код: Выделить всё

# pkg_version -v | grep "need"
"Makefile", line 115: warning: DjVu requires threads and will not be supported
"Makefile", line 375: warning: Presence of MODULES breaks self-tests. Disabling them.
"Makefile", line 375: warning: Presence of HDRI breaks self-tests. Disabling them.
kdesdk-3.5.8_1                      <   needs updating (port has 3.5.10)
kdetoys-3.5.8_1                     <   needs updating (port has 3.5.10)
kdeutils-3.5.8                      <   needs updating (port has 3.5.10)
kdevelop-3.5.0_1                    <   needs updating (port has 3.5.3)
kdewebdev-3.5.8_1,2                 <   needs updating (port has 3.5.10,2)
koffice-1.6.3_4,2                   <   needs updating (port has 1.6.3_7,2)

Аватара пользователя
f_andrey
майор
Сообщения: 2651
Зарегистрирован: 2007-12-26 1:22:58
Откуда: СПб
Контактная информация:

Re: Stop in /usr/ports/devel/apr-svn

Непрочитанное сообщение f_andrey » 2008-09-06 12:05:30

Volodymyr писал(а): Как развязать такой замкнутый круг?
Если не страшно, и лень удалять а потом ставить кучу зависимостей то pkg_delelte поддерживает чудесную опцию -f но это на ваш страх и риск, я вас предупреждал :) а вобше читайте маны и будет вам счастье :evil:
Если ваша тема перенесена, то смотри http://forum.lissyara.su/viewtopic.php?f=1&t=32308

Аватара пользователя
Volodymyr
лейтенант
Сообщения: 614
Зарегистрирован: 2008-06-17 16:04:56
Откуда: Ukraine, Lviv
Контактная информация:

Re: Stop in /usr/ports/devel/apr-svn

Непрочитанное сообщение Volodymyr » 2008-09-06 15:14:43

f_andrey писал(а):Если не страшно, и лень удалять а потом ставить кучу зависимостей то pkg_delelte поддерживает чудесную опцию -f
Спасибо, помогло. Остался последний порт:
# portupgrade kdesdk

[SKIPED]



gmake[3]: Entering directory `/usr/ports/devel/kdesdk3/work/kdesdk-3.5.10/kapptemplate'
echo "#!/usr/bin/env bash" > kapptemplate; \
echo "INSTALLED_SHARE_DIR=/usr/local/share/apps/kapptemplate" >> kapptemplate; \
echo "KAPPTEMPLATEVERSION=`cat /VERSION`" >> kapptemplate; \
cat ./kapptemplate.in >> kapptemplate; \
chmod 755 kapptemplate
cat: /VERSION: No such file or directory
gmake[3]: Leaving directory `/usr/ports/devel/kdesdk3/work/kdesdk-3.5.10/kapptemplate'
gmake[2]: Leaving directory `/usr/ports/devel/kdesdk3/work/kdesdk-3.5.10/kapptemplate'
Making all in kbabel
gmake[2]: Entering directory `/usr/ports/devel/kdesdk3/work/kdesdk-3.5.10/kbabel'
Making all in common
gmake[3]: Entering directory `/usr/ports/devel/kdesdk3/work/kdesdk-3.5.10/kbabel/common'
Making all in libgettext
gmake[4]: Entering directory `/usr/ports/devel/kdesdk3/work/kdesdk-3.5.10/kbabel/common/libgettext'
flex -+ -opofiles.cc ./pofiles.ll
/bin/sh /usr/local/bin/libtool --silent --tag=CXX --mode=compile c++ -DHAVE_CONFIG_H -I. -I../../.. -D_THREAD_SAFE -pthread -DQT_THREAD_SUPPORT -I/usr/local/include -I/usr/local/include -I/usr/local/include -D_GETOPT_H -D_THREAD_SAFE -Wno-long-long -Wundef -Wall -W -Wpointer-arith -DNDEBUG -DNO_DEBUG -O2 -O2 -fno-strict-aliasing -pipe -Wno-non-virtual-dtor -fno-exceptions -fno-check-new -fno-common -DQT_CLEAN_NAMESPACE -DQT_NO_ASCII_CAST -DQT_NO_STL -DQT_NO_COMPAT -DQT_NO_TRANSLATION -MT pofiles.lo -MD -MP -MF .deps/pofiles.Tpo -c -o pofiles.lo pofiles.cc
pofiles.cc:450:5: warning: "YY_STACK_USED" is not defined
pofiles.cc:1518:5: warning: "YY_MAIN" is not defined
In file included from pofiles.cc:249:
/usr/local/include/FlexLexer.h:130: error: expected unqualified-id before numeric constant
pofiles.cc: In member function 'virtual int GettextBaseFlexLexer::yylex()':
pofiles.cc:575: error: 'yy_current_buffer' was not declared in this scope
pofiles.cc:731: error: 'yy_current_buffer' was not declared in this scope
pofiles.cc:754: error: 'yy_current_buffer' was not declared in this scope
pofiles.cc: In constructor 'GettextBaseFlexLexer::GettextBaseFlexLexer(std::istream*, std::ostream*)':
pofiles.cc:871: error: 'yy_current_buffer' was not declared in this scope
pofiles.cc: In destructor 'virtual GettextBaseFlexLexer::~GettextBaseFlexLexer()':
pofiles.cc:883: error: 'yy_current_buffer' was not declared in this scope
pofiles.cc: In member function 'virtual void GettextBaseFlexLexer::switch_streams(std::istream*, std::ostream*)':
pofiles.cc:890: error: 'yy_current_buffer' was not declared in this scope
pofiles.cc: In member function 'int GettextBaseFlexLexer::yy_get_next_buffer()':
pofiles.cc:943: error: 'yy_current_buffer' was not declared in this scope
pofiles.cc: In member function 'void GettextBaseFlexLexer::yyunput(int, char*)':
pofiles.cc:1138: error: 'yy_current_buffer' was not declared in this scope
pofiles.cc: In member function 'int GettextBaseFlexLexer::yyinput()':
pofiles.cc:1180: error: 'yy_current_buffer' was not declared in this scope
pofiles.cc: In member function 'virtual void GettextBaseFlexLexer::yyrestart(std::istream*)':
pofiles.cc:1239: error: 'yy_current_buffer' was not declared in this scope
pofiles.cc:1242: error: 'yy_current_buffer' was not declared in this scope
pofiles.cc: In member function 'virtual void GettextBaseFlexLexer::yy_switch_to_buffer(yy_buffer_state*)':
pofiles.cc:1249: error: 'yy_current_buffer' was not declared in this scope
pofiles.cc:1252: error: 'yy_current_buffer' was not declared in this scope
pofiles.cc:1260: error: 'yy_current_buffer' was not declared in this scope
pofiles.cc: In member function 'void GettextBaseFlexLexer::yy_load_buffer_state()':
pofiles.cc:1274: error: 'yy_current_buffer' was not declared in this scope
pofiles.cc: In member function 'virtual void GettextBaseFlexLexer::yy_delete_buffer(yy_buffer_state*)':
pofiles.cc:1311: error: 'yy_current_buffer' was not declared in this scope
pofiles.cc: In member function 'void GettextBaseFlexLexer::yy_flush_buffer(yy_buffer_state*)':
pofiles.cc:1353: error: 'yy_current_buffer' was not declared in this scope
gmake[4]: *** [pofiles.lo] Error 1
gmake[4]: Leaving directory `/usr/ports/devel/kdesdk3/work/kdesdk-3.5.10/kbabel/common/libgettext'
gmake[3]: *** [all-recursive] Error 1
gmake[3]: Leaving directory `/usr/ports/devel/kdesdk3/work/kdesdk-3.5.10/kbabel/common'
gmake[2]: *** [all-recursive] Error 1
gmake[2]: Leaving directory `/usr/ports/devel/kdesdk3/work/kdesdk-3.5.10/kbabel'
gmake[1]: *** [all-recursive] Error 1
gmake[1]: Leaving directory `/usr/ports/devel/kdesdk3/work/kdesdk-3.5.10'
gmake: *** [all] Error 2
*** Error code 2

Stop in /usr/ports/devel/kdesdk3.
** Command failed [exit code 1]: /usr/bin/script -qa /tmp/portupgrade.1121.0 env UPGRADE_TOOL=portupgrade UPGRADE_PORT=kdesdk-3.5.8_1 UPGRADE_PORT_VER=3.5.8_1 make
** Fix the problem and try again.
** Listing the failed packages (-:ignored / *:skipped / !:failed)
! devel/kdesdk3 (kdesdk-3.5.8_1) (unknown build error)

Аватара пользователя
Alex Keda
стреляли...
Сообщения: 35139
Зарегистрирован: 2004-10-18 14:25:19
Откуда: Made in USSR
Контактная информация:

Re: Portupgrade problem

Непрочитанное сообщение Alex Keda » 2008-09-06 15:29:02

у меня тоже не собралось.
я пока не парюсь - пофиксят =)))
Убей их всех! Бог потом рассортирует...

Аватара пользователя
zingel
beastie
Сообщения: 6204
Зарегистрирован: 2007-10-30 3:56:49
Откуда: Moscow
Контактная информация:

Re: Portupgrade problem

Непрочитанное сообщение zingel » 2008-09-06 19:42:00

gettext обнови
Z301171463546 - можно пожертвовать мне денег

Аватара пользователя
Volodymyr
лейтенант
Сообщения: 614
Зарегистрирован: 2008-06-17 16:04:56
Откуда: Ukraine, Lviv
Контактная информация:

Re: Portupgrade problem

Непрочитанное сообщение Volodymyr » 2008-09-08 11:41:54

zingel писал(а):gettext обнови
Все обновил. Єто последний порт который не обновляется.

Код: Выделить всё

# pkg_version -v | grep "need"
"Makefile", line 115: warning: DjVu requires threads and will not be supported
"Makefile", line 375: warning: Presence of MODULES breaks self-tests. Disabling them.
"Makefile", line 375: warning: Presence of HDRI breaks self-tests. Disabling them.
kdesdk-3.5.8_1                      <   needs updating (port has 3.5.10)

Код: Выделить всё

# pkg_version -v | grep "gettext"
"Makefile", line 115: warning: DjVu requires threads and will not be supported
"Makefile", line 375: warning: Presence of MODULES breaks self-tests. Disabling them.
"Makefile", line 375: warning: Presence of HDRI breaks self-tests. Disabling them.
gettext-0.17_1                      =   up-to-date with port
p5-gettext-1.05_2                   =   up-to-date with port

Аватара пользователя
zingel
beastie
Сообщения: 6204
Зарегистрирован: 2007-10-30 3:56:49
Откуда: Moscow
Контактная информация:

Re: Portupgrade problem

Непрочитанное сообщение zingel » 2008-09-08 11:45:14

Код: Выделить всё

[root@zingel /]# diff -uNr /usr/ports/graphics/ImageMagick/Makefile  
/usr/ports/graphics/ImageMagick/Makefile-new
--- /usr/ports/graphics/ImageMagick/Makefile    2008-09-06 20:15:17.000000000 +0300
+++ /usr/ports/graphics/ImageMagick/Makefile-new     2008-09-06 20:16:02.000000000 +0300
@@ -111,10 +111,10 @@
 .else
 CONFIGURE_ARGS+=     --without-threads
 .undef WITH_IMAGEMAGICK_THREADS
-.if defined(WITH_IMAGEMAGICK_DJVU)
-.      warning DjVu requires threads and will not be supported
-.      undef WITH_IMAGEMAGICK_DJVU
-.endif
+#.if defined(WITH_IMAGEMAGICK_DJVU)
+#.     warning DjVu requires threads and will not be supported
+#.     undef WITH_IMAGEMAGICK_DJVU
+#.endif
 .endif
для ImageMagick я вот так делал....
Z301171463546 - можно пожертвовать мне денег

Аватара пользователя
Volodymyr
лейтенант
Сообщения: 614
Зарегистрирован: 2008-06-17 16:04:56
Откуда: Ukraine, Lviv
Контактная информация:

Re: Portupgrade problem

Непрочитанное сообщение Volodymyr » 2008-09-08 13:25:38

zingel писал(а):для ImageMagick я вот так делал....
А причем тут ImageMagick, если у меня kdesdk-3.5.8_1 не апдейтится?

Аватара пользователя
zingel
beastie
Сообщения: 6204
Зарегистрирован: 2007-10-30 3:56:49
Откуда: Moscow
Контактная информация:

Re: Portupgrade problem

Непрочитанное сообщение zingel » 2008-09-08 13:53:31

внимательно прочитай свой пост и сравни с моим диффом
Z301171463546 - можно пожертвовать мне денег

Аватара пользователя
Volodymyr
лейтенант
Сообщения: 614
Зарегистрирован: 2008-06-17 16:04:56
Откуда: Ukraine, Lviv
Контактная информация:

Re: Portupgrade problem

Непрочитанное сообщение Volodymyr » 2008-09-08 14:14:57

zingel писал(а):внимательно прочитай свой пост и сравни с моим диффом

http://forum.lissyara.su/viewtopic.php?p=96647#p96647 - меня это волнует.

Аватара пользователя
Volodymyr
лейтенант
Сообщения: 614
Зарегистрирован: 2008-06-17 16:04:56
Откуда: Ukraine, Lviv
Контактная информация:

Re: Portupgrade problem

Непрочитанное сообщение Volodymyr » 2008-09-10 10:10:07

lissyara писал(а):у меня тоже не собралось.
я пока не парюсь - пофиксят =)))
Порт обновился при помощи dbsd-pkgmgr. Не мытьем так катанием :smile:

Аватара пользователя
Volodymyr
лейтенант
Сообщения: 614
Зарегистрирован: 2008-06-17 16:04:56
Откуда: Ukraine, Lviv
Контактная информация:

Re: Portupgrade problem

Непрочитанное сообщение Volodymyr » 2008-11-07 17:17:08

Может кто-то объяснить что это такое на самом деле?

Код: Выделить всё

# portupgrade ImageMagick
** Makefile possibly broken: graphics/ImageMagick:
        "Makefile", line 116: warning: DjVu requires threads and will not be supported
        "Makefile", line 379: warning: Presence of MODULES breaks self-tests. Disabling them.
        "Makefile", line 379: warning: Presence of HDRI breaks self-tests. Disabling them.
        ImageMagick-6.4.4.1_1


/usr/local/sbin/portupgrade:1468:in `get_pkgname': Makefile broken (MakefileBrokenError)
        from /usr/local/sbin/portupgrade:622:in `main'
        from /usr/local/sbin/portupgrade:613:in `each'
        from /usr/local/sbin/portupgrade:613:in `main'
        from /usr/local/sbin/portupgrade:588:in `catch'
        from /usr/local/sbin/portupgrade:588:in `main'
        from /usr/local/lib/ruby/1.8/optparse.rb:1303:in `call'
        from /usr/local/lib/ruby/1.8/optparse.rb:1303:in `parse_in_order'
        from /usr/local/lib/ruby/1.8/optparse.rb:1299:in `catch'
         ... 6 levels...
        from /usr/local/lib/ruby/1.8/optparse.rb:785:in `initialize'
        from /usr/local/sbin/portupgrade:229:in `new'
        from /usr/local/sbin/portupgrade:229:in `main'
        from /usr/local/sbin/portupgrade:2208

Аватара пользователя
manefesto
Группенфюррер
Сообщения: 6934
Зарегистрирован: 2007-07-20 8:27:30
Откуда: Пермь
Контактная информация:

Re: Portupgrade problem

Непрочитанное сообщение manefesto » 2008-11-10 14:09:33

формат /usr/ports/MOVED опять поломали.
я такой яростный шо аж пиздеЦ
Изображение

Antti
мл. сержант
Сообщения: 77
Зарегистрирован: 2007-04-23 12:26:34

Re: Portupgrade problem

Непрочитанное сообщение Antti » 2008-12-24 14:51:51

http://daemonforums.org/showthread.php?t=2469
Вот решение, если еще кому нибудь актуально....

Аватара пользователя
Volodymyr
лейтенант
Сообщения: 614
Зарегистрирован: 2008-06-17 16:04:56
Откуда: Ukraine, Lviv
Контактная информация:

Re: Portupgrade problem

Непрочитанное сообщение Volodymyr » 2008-12-24 15:14:55

После последних обновлений портов собирается без проблем.

Antti
мл. сержант
Сообщения: 77
Зарегистрирован: 2007-04-23 12:26:34

Re: Portupgrade problem

Непрочитанное сообщение Antti » 2008-12-24 15:54:33

Вполне может быть, но у меня ругалось.... патчик помог !